org.flexdock.docking.state

## Interface LayoutNode

All Superinterfaces:
  java.lang.Cloneable, javax.swing.tree.MutableTreeNode, java.io.Serializable, javax.swing.tree.TreeNode

All Known Implementing Classes:
  DockableNode, DockingNode, DockingPortNode, SplitNode

    public interface LayoutNode
    extends javax.swing.tree.MutableTreeNode, java.lang.Cloneable, java.io.Serializable

Author:
  Christopher Butler

### Method Summary

Methods
`void` `add(javax.swing.tree.MutableTreeNode child)`
`java.lang.Object` `clone()`
`java.lang.Object` `getDockingObject()`
`java.lang.Object` `getUserObject()`

### Methods inherited from interface javax.swing.tree.MutableTreeNode

`insert, remove, remove, removeFromParent, setParent, setUserObject`

### Methods inherited from interface javax.swing.tree.TreeNode

`children, getAllowsChildren, getChildAt, getChildCount, getIndex, getParent, isLeaf`

### Method Detail

#### getUserObject

    java.lang.Object getUserObject()

#### getDockingObject

    java.lang.Object getDockingObject()

#### add

    void add(javax.swing.tree.MutableTreeNode child)

#### clone

    java.lang.Object clone()